Last Comment Bug 677495 - Image documents now have things other than the <img> in the <body>
: Image documents now have things other than the <img> in the <body>
Status: RESOLVED FIXED
: regression
Product: Core
Classification: Components
Component: DOM (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla8
Assigned To: Michael Ventnor
:
Mentors:
Depends on:
Blocks: 528046
  Show dependency treegraph
 
Reported: 2011-08-09 04:34 PDT by Joe Wilson
Modified: 2013-12-27 14:29 PST (History)
9 users (show)
mounir: in‑testsuite?
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch (2.08 KB, patch)
2011-08-09 22:25 PDT, Michael Ventnor
roc: review+
Details | Diff | Splinter Review

Description Joe Wilson 2011-08-09 04:34:47 PDT
Try this userstyle: http://userstyles.org/styles/49276
It does nothing on Nightlies.
If you remove structural pseudo-class ":only-child" from the code - the style begins to work, so the style itself is valid.
Comment 1 Alice0775 White 2011-08-09 05:37:20 PDT
Thhis is no bug. DOM for image document has changed.
You should modify the style.

See Bug 528046 - Print / print-preview crops very tall images at page boundaries
Comment 2 Boris Zbarsky [:bz] 2011-08-09 09:17:43 PDT
I'm going to reopen this.  The change in behavior here was unnecessary, and I think we should revert it.

And in particular, that behavior change violates http://www.whatwg.org/specs/web-apps/current-work/multipage/history.html#read-image

Requesting tracking for this regression.
Comment 3 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2011-08-09 16:20:49 PDT
I actually had no idea that this was specified.
Comment 4 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2011-08-09 16:21:06 PDT
I think we should back out bug 528046 and fix it another way.
Comment 5 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2011-08-09 16:25:37 PDT
I'm wrong, we don't need to back out the whole thing. See discussion in bug 528046.
Comment 6 Michael Ventnor 2011-08-09 22:25:31 PDT
Created attachment 552025 [details] [diff] [review]
Patch

Very sorry for the big delay on this, I had tree problems and ended up re-cloning and rebuilding the world which is a lot of trouble in a VM...

Yeah, this just moves the style node back into the head.
Comment 7 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2011-08-09 22:27:27 PDT
Would you mind adding some tests to check that this doesn't happen again? Load an image in an IFRAME and check that the <body> only has one child, the <img>, at least. Ditto for video.
Comment 8 Michael Ventnor 2011-08-10 21:25:00 PDT
Sorry for the delay, I'm still having more tree troubles :/

http://hg.mozilla.org/integration/mozilla-inbound/rev/dae43481a41b
Comment 9 Mounir Lamouri (:mounir) 2011-08-11 04:18:26 PDT
Merged:
http://hg.mozilla.org/mozilla-central/rev/dae43481a41b
Comment 10 :Ms2ger (⌚ UTC+1/+2) 2011-08-11 05:14:20 PDT
Roc, Michael, can I submit this test to the HTML test suite? (W3C test suite license <http://www.w3.org/Consortium/Legal/2008/04-testsuite-license.html> and 3-clause BSD <http://www.w3.org/Consortium/Legal/2008/03-bsd-license.html>.)
Comment 11 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2011-08-11 05:32:06 PDT
Yes!

We need some sort of blanket policy that permits all our tests to be modified and submitted to the W3C by anyone. Would you like to explain on mozilla.governance what is required?
Comment 12 Asa Dotzler [:asa] 2011-09-22 14:46:24 PDT
why should release drivers be tracking this?
Comment 13 Boris Zbarsky [:bz] 2011-09-22 14:55:33 PDT
This is fixed; doesn't need tracking.

Note You need to log in before you can comment on or make changes to this bug.